Get specific order reports
curl --request GET \
--url https://api-ezyconnect.ezytail.com/orders/{uniqueOrderID}/reports \
--header 'Authorization: Bearer <token>'import requests
url = "https://api-ezyconnect.ezytail.com/orders/{uniqueOrderID}/reports"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api-ezyconnect.ezytail.com/orders/{uniqueOrderID}/reports', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"id": 123,
"dateCreation": "2023-11-07T05:31:56Z",
"dateLastUpdate": "2023-11-07T05:31:56Z",
"activityCode": "<string>",
"subActivityCode": "<string>",
"orderUniqueID": "<string>",
"prepClosedState": 123,
"firstPackageCreationDate": "2023-11-07T05:31:56Z",
"lastPackageLoadDate": "2023-11-07T05:31:56Z",
"shippedHandlingUnitCount": 123,
"packedPackageCount": 123,
"packedPaletteCount": 123,
"totalPrepWeight": 123,
"totalPrepVolume": 123,
"prepOrderGroupID": "<string>",
"dateProcessed": "2023-11-07T05:31:56Z",
"nomflux": "<string>",
"lignes": [
{
"id": 123,
"dateCreation": "2023-11-07T05:31:56Z",
"dateLastUpdate": "2023-11-07T05:31:56Z",
"orderLineID": "<string>",
"articleReference": "<string>",
"orderedQuantity": 123,
"preparedQuantity": 123,
"dateProcessed": "2023-11-07T05:31:56Z",
"gradeCode": "<string>"
}
],
"parcels": [
{
"id": 123,
"dateCreation": "2023-11-07T05:31:56Z",
"dateLastUpdate": "2023-11-07T05:31:56Z",
"packageNumber": "<string>",
"palletNumber": "<string>",
"shipmentTrackingNumber": "<string>",
"palletSSCC": "<string>",
"packageSSCC": "<string>",
"trpcont": "<string>",
"transportService": "<string>",
"transportLoadNumber": "<string>",
"packageCreationDate": "2023-11-07T05:31:56Z",
"packageLoadDate": "2023-11-07T05:31:56Z",
"packageRank": 123,
"actualPackageWeight": 123,
"shippedPackageVolume": 123,
"activityPackagingCode": "<string>",
"ezytailWaveID": "<string>",
"seqColis": 123,
"trackingurl": "<string>",
"entries": [
{
"id": 123,
"dateCreation": "2023-11-07T05:31:56Z",
"dateLastUpdate": "2023-11-07T05:31:56Z",
"parcelId": 123,
"articleReference": "<string>",
"shippedQuantityInPackage": 123,
"properties": [
{}
]
}
]
}
]
}
]{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}Orders
Get specific order reports
Fetch all order reports attached to an order
GET
/
orders
/
{uniqueOrderID}
/
reports
Get specific order reports
Authorizations
JWT Authorization header using the Bearer scheme. \r\n\r\n Enter 'Bearer' [space] and then your token in the text input below. \r\n\r\nExample: 'Bearer 12345abcdef'
Path Parameters
Response
OK
Code de l'activité
Maximum string length:
3Code de la sous activité
Maximum string length:
3Identifiant unique de l'ordre de préparation
Maximum string length:
32Etat de la préparation clôturée
Date constitution du premier colis de la commande
Date de chargement du dernier colis de la commande
Nombre d'unité de manutention expédiées (UM)
Nombre de colis constitués pour la commande
Nombre de palettes constituées pour la commande
Poids total de l'ordre de préparation
Volume total de l'ordre de préparation
Identifiant d'un Groupe de plusieurs ordres de préparation
Maximum string length:
14Maximum string length:
50Show child attributes
Show child attributes
Show child attributes
Show child attributes

